package com.sundot.airport.system.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.sundot.airport.common.annotation.Excel;
import com.sundot.airport.common.core.domain.TreeEntity;

/**
 * 位置对象 base_position
 *
 * @author ruoyi
 * @date 2025-07-09
 */
public class BasePosition extends TreeEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 租户号
     */
    private String tenantId;

    /**
     * 乐观锁
     */
    private Integer revision;

    /**
     * 主键
     */
    private Long id;

    /**
     * 名称
     */
    @Excel(name = "名称")
    private String name;

    /**
     * 层级
     */
    @Excel(name = "层级")
    private Integer level;

    /**
     * 位置类型
     */
    @Excel(name = "位置类型")
    private String positionType;

    /**
     * 通道类型
     */
    @Excel(name = "通道类型")
    private String channelType;

    /**
     * 编码
     */
    @Excel(name = "编码")
    private String code;

    /**
     * 位置类型名称
     */
    @Excel(name = "位置类型名称")
    private String positionTypeDesc;

    /**
     * 通道类型名称
     */
    @Excel(name = "通道类型名称")
    private String channelTypeDesc;

    public void setTenantId(String tenantId) {
        this.tenantId = tenantId;
    }

    public String getTenantId() {
        return tenantId;
    }

    public void setRevision(Integer revision) {
        this.revision = revision;
    }

    public Integer getRevision() {
        return revision;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getId() {
        return id;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getName() {
        return name;
    }

    public void setLevel(Integer level) {
        this.level = level;
    }

    public Integer getLevel() {
        return level;
    }

    public void setPositionType(String positionType) {
        this.positionType = positionType;
    }

    public String getPositionType() {
        return positionType;
    }

    public void setChannelType(String channelType) {
        this.channelType = channelType;
    }

    public String getChannelType() {
        return channelType;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getCode() {
        return code;
    }

    public void setPositionTypeDesc(String positionTypeDesc) {
        this.positionTypeDesc = positionTypeDesc;
    }

    public String getPositionTypeDesc() {
        return positionTypeDesc;
    }

    public void setChannelTypeDesc(String channelTypeDesc) {
        this.channelTypeDesc = channelTypeDesc;
    }

    public String getChannelTypeDesc() {
        return channelTypeDesc;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("tenantId", getTenantId())
                .append("revision", getRevision())
                .append("createBy", getCreateBy())
                .append("createTime", getCreateTime())
                .append("updateBy", getUpdateBy())
                .append("updateTime", getUpdateTime())
                .append("id", getId())
                .append("name", getName())
                .append("parentId", getParentId())
                .append("ancestors", getAncestors())
                .append("level", getLevel())
                .append("orderNum", getOrderNum())
                .append("positionType", getPositionType())
                .append("channelType", getChannelType())
                .append("code", getCode())
                .append("positionTypeDesc", getPositionTypeDesc())
                .append("channelTypeDesc", getChannelTypeDesc())
                .toString();
    }
}
